classification
Title: Create the DESTDIR as part of the make install process
Type: enhancement Stage: test needed
Components: Build Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, hanwen, hdiwan650
Priority: normal Keywords: patch

Created on 2006-12-04 05:29 by hdiwan650, last changed 2010-08-25 14:30 by BreamoreBoy. This issue is now closed.

Files
File name Uploaded Description Edit
Makefile.patch hdiwan650, 2006-12-04 06:09
Messages (5)
msg51467 - (view) Author: Hasan Diwan (hdiwan650) Date: 2006-12-04 05:29
Create the DESTDIR as part of the make install process.
msg51468 - (view) Author: Han-Wen Nienhuys (hanwen) * Date: 2006-12-05 22:55
Hello,

* directory creation is usually done with install -d ; see numerous examples in the rest of the 
Makefile.

* What does this fix? AFAIK, DESTDIR is already made, as part of 
directories like

               if test ! -d $(DESTDIR)$$i; then \
                        echo "Creating directory $$i"; \
                        $(INSTALL) -d -m $(DIRMODE) $(DESTDIR)$$i; \
                else    true; \
 

msg51469 - (view) Author: Hasan Diwan (hdiwan650) Date: 2006-12-06 14:24
Ok, I'll change the patch to use install as opposed to mkdir in a few days.

I was hitting a problem in installing python, which I have since solved by using this patch. So, I decided to submit it. 
msg51470 - (view) Author: Han-Wen Nienhuys (hanwen) * Date: 2006-12-06 14:25
can you be more specific about the problem?

the install -d should come just before the 
command attempting to copy something into that dir.
msg114914 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-25 14:30
No reply to msg51470.
History
Date User Action Args
2010-08-25 14:30:59BreamoreBoysetstatus: open -> closed

nosy: + BreamoreBoy
messages: + msg114914

resolution: out of date
2009-03-30 17:39:17ajaksu2settitle: Makefile fix -> Create the DESTDIR as part of the make install process
stage: test needed
type: enhancement
versions: + Python 3.1, Python 2.7, - Python 2.6
2006-12-04 05:29:10hdiwan650create